from calculate.variables.datavars import Variable, Namespace, Dependence, \
    StringType, BooleanType, HashType, Calculate
from calculate.vars.main.os.func import *

with Namespace("arch"):
    Variable("machine", type=StringType,
        source=Calculate(get_arch_machine))
    Variable("gentoo", type=StringType,
        source=Calculate(get_arch_gentoo, ".machine"))
